#! /bin/sh
# postinst script for apt-listbugs
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postinst> `configure' <most-recently-configured-version>
#        * <old-postinst> `abort-upgrade' <new version>
#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
#          <new-version>
#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
#          <failed-install-package> <version> `removing'
#          <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package
#
# quoting from the policy:
#     Any necessary prompting should almost always be confined to the
#     post-installation script, and should be protected with a conditional
#     so that unnecessary prompting doesn't happen if a package's
#     installation fails and the `postinst' is called with `abort-upgrade',
#     `abort-remove' or `abort-deconfigure'.

case "$1" in
    configure)
        if test "x$2" = "x" && ! test -e "/etc/apt/listbugs/ignore_bugs"
        then
            install -d /etc/apt/listbugs/
            cp /usr/lib/ruby/vendor_ruby/aptlistbugs/ignore_bugs \
                                   /etc/apt/listbugs/ignore_bugs
        fi

        # remove obsolete cron configuration
        if test -f "/etc/cron.d/apt-listbugs" && \
           test `md5sum /etc/cron.d/apt-listbugs | cut -d' ' -f1` = \
           "fc5efcb195e23d76f7caf27f9efe2899"
        then
            echo -n "Removing obsolete cron configuration... "
            rm -f /etc/cron.d/apt-listbugs
            echo "done"
        fi

        # remove obsolete cache directory
        CACHEDIR="/var/cache/apt-listbugs"
        if test -e "$CACHEDIR"
        then
            echo "Removing obsolete $CACHEDIR ..."
            rm -rfv "$CACHEDIR"
            echo "done"
        fi

        # migrate package pins to new location
        MIGDIR=`/usr/libexec/apt-listbugs/migratepins`
        if test "x$MIGDIR" != "x" && test -d "$MIGDIR"
        then
            if test -s "$MIGDIR/apt-listbugs"
            then
                echo -n "Migrating apt-listbugs pins to new location (see NEWS file) ... "
                # append the migrated pins to the new location
                DEST="/etc/apt/preferences.d/apt-listbugs"
                echo "" >> "$DEST"
                cat "$MIGDIR/apt-listbugs" >> "$DEST"
                # backup the old file
                DEST="/etc/apt/preferences"
                BACKUP="/var/backups/apt-listbugs.pre-migration-preferences"
                if test -f "$BACKUP"
                then
                    savelog -q "$BACKUP"
                fi
                cp -aH "$DEST" "$BACKUP"
                # replace the old file with the remaining pins
                if test -s "$MIGDIR/preferences"
                then
                    cp "$MIGDIR/preferences" "$DEST"
                else
                    rm -f "$DEST"
                fi
                echo "done"
            fi
            rm -f "$MIGDIR/preferences" "$MIGDIR/apt-listbugs"
            rmdir --ignore-fail-on-non-empty "$MIGDIR"
        fi

    ;;

    abort-upgrade|abort-remove|abort-deconfigure)

    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0


